Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031069
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-10-06 16:102015-11-23 21:17
ReporterVictorVillarView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision2249174ff1b4
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031069: Wrong cost calculation using inventory amount update caused by remaining valuation

DescriptionWrong cost calculation using inventory amount update caused by remaining valuation
Steps To ReproduceAs group admin role,
  Go to Costing Rules window. Verify there is one for F&B España. Warehouse dimension is not selected as cost dimension.
  Go to inventory amount update
     create a new one for España
  Lines tab:
     Product: Vino blanco
     Reference date: 01-10-2015
     unit Cost: 10
Process it.
Check that the 'Current inventory Amount' is: 100,110.00
and on hand quantity: 28200
Inventory amount: 282000

Go to Valued stock report. Launch it for today. España Región norte
 Currency: EUR. Date: 01/10/2015
Check that the valuation is: 259,862.35 and should be 282000.

If you go to the transactions tab of this product and you check the Closing Inventory transaction cost you realize that the value is wrong as it is shown 116.232,41 but it should be 100,110.00
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031026 closedaferraz wrong warehouse in the lines of the inventory amount update 
related to defect 0031202 closedaferraz Wrong cost calculation while stocks gets into 0 due to remaining valuation 

-  Notes
(0081076)
psanjuan (manager)
2015-10-19 12:44
edited on: 2015-10-23 10:05

This issue can happen both in the case of having the "Warehouse" as cost dimension in the costing rule (e.g. rounding issues, 3 units valued at 10.00 - cost is 3.33 * 3 = 9.99, there is a 0.01 as remaining value for a 0 stock) or in case of not having "Warehouse" cost dimension (e.g Average cost at entity level = 6 while the input of the goods in WH North was 10.00 (10 units) and the inputs of the goods in WH South was 2 (10 units)

Average cost at entity level = 6
10 units * 10.00 = 100 - WH North
10 units * 2.00 = 20 - WH South
if -10 units are removed from WH Nort the cost of that is -10 *6 = -60
(remaining value = 40, while the stock = 0)
That remaining value needs to be removed.

Same applies at a lower level that is storage bins and attributes.

Proposed Solution:

(1) A negative stock correction cost adjustment needs to be created when the stock gets 0, therefore a 0 stock means 0 value so the remaining cost if any is removed. This scenario applies whenever "Allow Negative Stock Correction" preference is enabled. See issue related: 31202.

(2) Closing Inventory created by an Inventory Amount Update needs to reflect current "average" cost of each transaction, besides an adjustment needs to be created related to the last transaction to remove remaining valuation if any, therefore closing inventory transaction ends up with a 0 stock valued at 0.00. This scenario applies whenever "Allow Negative Stock Correction" preference is not enabled.

Test Plan below should be verified in an environment with huge volume of data in order to check performance.

(0081136)
psanjuan (manager)
2015-10-20 14:37
edited on: 2015-11-03 14:40

Test Plan

F&B España organization - Costing Rule configured with "Average" costing algorithm.

**Scenario 1 - Remaining cost caused by cost dimension WH, Not fixed after processing an Inventory Amount Update.

Go to Costing Rules window and make sure you have a valid one for F&B España with the Warehouse Dimension flag do not selected as a cost dimension. Costing algorithm should be "Average".

Go to product window and create a new product for F&B España named "Remaining Cost". Go to Price tab and select "Tarifa Bebidas Alegres" Price list version. Enter a unit/list price = 10.00

Create a purchase order for that product of 10 units at a price of 10.00.
Book the order.
Receipt those units in a Goods Receipt in the warehouse = España Region Norte. Storage Bin = RN-1-0-0. Complete the receipt.

Create another purchase order for that product of 10 units at a price of 2.00.
Book the order.
Receipt those units in a Goods Receipt in the warehouse = España Region Sur. Storage Bin = RS-1-0-0. Complete the receipt.

Run Costing background process and realize that the average cost for that product at entity level (no warehouse) is = 6.00

Go to Goods Shipment window and ship 10 units currently booked in España Region Norte warehouse. Complete the shipment.

Run Costing background process and realize that shipment transaction cost is 60.00

Go to Inventory Amount Update window and create a new one for product "Remaining Cost" at current date. Check that Current Inventory Amount = 60.00, On hand quantity shown = 10.00 and Current Unit cost shown = 6.00. All of this is correct.

Enter a new unit cost = 8.00
Process it and run costing background process.

Go to Product window and realize that two new Inventory In transactions have been created for this product:
* Closing Inventory one = -10 units, storage bin = RS-1-0-0 has a trx cost = 60.00 which is correct.

* Opening Inventory one = 10 units, storage bin = RS-1-0-0 has a trx cost = 80.00 which is correct.

Go to costing tab and Check that the cost shown now 8.00 which is correct.

Go to Value Stock Report and run it for this Product.
* Select Warehouse Region Norte warehouse, EUR currency. Check that the product is not shown as this report does not show 0 quantity lines.
* Select Warehouse Region Sur warehouse, EUR currency. Check that the product is shown with a cost of 4.00 and valuation = 40.00 as it should only take into account Region Sur warehouse transactions:
+10 units * 2 = +20
-10 units * 6 = -60
+10 units * 8 = +80

Go to module management window and install the module = http://centralrepository.openbravo.com/openbravo/org.openbravo.forge.ui/ForgeModuleDetail/Report-Valued-Stock-Enhanced [^]

Once installed, open "Enhanced Value Stock Report", select F&B España organization and leave the warehouse empty. Currency = EUR. Launch the report.

Check "Remaining Cost" product data is shown for España Region Sur warehouse.

Check below data is shown:

* Quantity = 10
* Unit Cost = 4.00
* Valuation = 40.00
* Average Algorithm Cost = 8.00
* Average Algorithm Valuation = 80.00

All of the above is correct.

Launch Enhanced Valued Stock Report same way as above but this time selecting the flag = Consolidated warehouse

Check below data:

* Quantity = 10
* Unit Cost = 8.00
* Valuation = 80.00
* Average Algorithm Cost = 8.00
* Average Algorithm Valuation = 80.00

** Scenario 2 - Remaining cost caused by rounding issues fixed after processing an Inventory Amount Update, whenever Allow Negative Stock correction preference is not active, and inventory gets to 0.00

Go to product window and create a new product named "Product Rounding 31069" for instance. Go to price tab and select "Tarifa Bebidas Alegres", enter a unit/list price = 4
Create a purchase order for that product, org F&B España, of 1 unit. Book the order
Create another purchase order for that product, org F&B España, 1 unit. This time change the price to 3.00. Book the order.
Create a third purchase order for that product, org F&B España, 1 unit. This time change the price to 3.00. Book the order.

Go to Goods Receipt window and create 3 different receipts, one for each order. Select the same warehouse in all the 3 for instance Warehouse = España Norte, but a different storage bin each. Complete the 3 receipts and run costing background process.

Go to product window and check that the cost of this product is 3.3333.

Create a shipment of the 3 units so you get into 0 stock. Complete the shipment and run costing background process.

Check also that each shipment transaction, in the transaction tab, has been valued at a cost of 3.33

Create a new purchase order of 1 unit of the product, this time change the price to 7.00

Receipt that unit in España Norte WH in a storage bin. Complete the receipt and run costing background process.

Go to product window and check that the new average cost for the product is 7.01 while it should have been 7.00

Go to Inventory Amount Update window and create a new one for the product.
Check that the current unit cost shown is 7.01. Enter a Unit Cost = 7.
Process it. Run costing background process.

Go to Product Window and check that there is a new cost that is 7.00, this is correct.

Go to Transactions tab and realize that the closing inventory transaction has been valued at 7.01, while opening inventory transaction has been valued at 7.00. This is correct.

** Scenario 3 - Remaining cost caused by rounding issues fixed after processing an Inventory Amount Update, whenever Allow Negative Stock correction preference is not active, and inventory do not get into 0.00

Go to product window and create a new product named "Product Rounding 31069-2" for instance. Go to price tab and select "Tarifa Bebidas Alegres", enter a unit/list price = 4
Create a purchase order for that product, org F&B España, of 1 unit. Book the order
Create another purchase order for that product, org F&B España, 1 unit. This time change the price to 3.00. Book the order.
Create a third purchase order for that product, org F&B España, 1 unit. This time change the price to 3.00. Book the order.

Go to Goods Receipt window and create 3 different receipts, one for each order. Select the same warehouse in all the 3 for instance Warehouse = España Norte, but a different storage bin each. Complete the 3 receipts and run costing background process.

Go to product window and check that the cost of this product is 3.3333.

Create a shipment of 2 units. Complete the shipment and run costing background process.

Check also that each shipment transaction, in the transaction tab, has been valued at a cost of 3.33

Go to Inventory Amount Update window and create a new one for the product.
Check that the current inventory amount and the current unit cost shown is 3.34. Enter a Unit Cost = 4.
Process it. Run costing background process.

Go to Product Window and check that the new cost is 4.

Go to Transactions tab and realize that the closing inventory transaction has been valued at 3.34 (total cost) and 3.33 (original cost and unit cost) as an adjustment of 0.01 has been created and related to it. This adjustment it is a negative stock adjustment.

Opening inventory has been valued at 4.00, which is correct.

(0081448)
psanjuan (manager)
2015-11-03 14:19
edited on: 2015-11-03 15:02

Test plan above verified, besides

Repeat 3 scenarios above by changing the costing rule, therefore Warehouse is set as costing dimension.

In that case, repro-steps are not shown below again but just correct results.

** Scenario 4

Product "Remaining Cost WH"

After booking the orders and receipts.

Run Costing background process and realize that there are two average cost, one for each warehouse:
* España Region norte = 10.00
* España Region sur = 2.00


Go to Goods Shipment window and ship 10 units currently booked in España Region Norte warehouse. Complete the shipment.

Run Costing background process and realize that shipment transaction cost is -100.00 (10 units + 10.00)

Go to Inventory Amount Update window and create a new one for product "Remaining Cost" at current date.
If España Region Norte WH is selected, no amounts are shown as current stock is 0.00
If España Region Sur WH is selecte, current inventory amount = 20.00, therefore current unit cost = 2.00. All of this is correct.

Enter a new unit cost = 8.00
Process it and run costing background process.

Go to Product window and realize that two new Inventory In transactions have been created for this product:

* Closing Inventory one = -10 units, storage bin = RS-1-0-0 has a trx cost = 20.00 which is correct.

* Opening Inventory one = 10 units, storage bin = RS-1-0-0 has a trx cost = 80.00 which is correct.

Go to costing tab and Check that the cost shown now for España Region Sur WH is 8.00 which is correct.

Go to Value Stock Report and run it for this Product.
* Select Warehouse Region Norte warehouse, EUR currency. Check that the product is not shown as this report does not show 0 quantity lines.
* Select Warehouse Region Sur warehouse, EUR currency. Check that the product is shown with a cost of 8.00 and valuation = 80.00 which is correct.
It shoul show a cost of 4.00 and valuation = 40.00 as it should only take into account Region Sur warehouse transactions:
+10 units * 2 = +20
-10 units * 2 = -20
+10 units * 8 = +80

Launch "Enhanced Value Stock Report", select F&B España organization and leave the warehouse empty. Currency = EUR. Launch the report.

Check "Remaining Cost WH" product data is shown for España Region Sur warehouse.

Check below data is shown:

* Quantity = 10
* Unit Cost = 8.00
* Valuation = 80.00
* Average Algorithm Cost = 8.00
* Average Algorithm Valuation = 80.00

All of the above is correct.

Launch Enhanced Valued Stock Report same way as above but this time selecting the flag = Consolidated warehouse

Check below data:

* Quantity = 10
* Unit Cost = 8.00
* Valuation = 80.00
* Average Algorithm Cost = 8.00
* Average Algorithm Valuation = 80.00

** Scenario 5

Product "Product rounding 31069 WH"

Go to product window and check that the cost of this product is 3.3333 for España Region Norte WH.

Create a shipment of the 3 units so you get into 0 stock. Complete the shipment and run costing background process.

Check also that each shipment transaction, in the transaction tab, has been valued at a cost of 3.33

Create a new purchase order of 1 unit of the product, this time change the price to 7.00

Receipt that unit in España Norte WH in a storage bin. Complete the receipt and run costing background process.

Go to product window and check that the new average cost for the product is 7.01 while it should have been 7.00

Go to Inventory Amount Update window and create a new one for the product and for España Region Norte warehous.
Check that the current unit cost shown is 7.01. Enter a Unit Cost = 7.
Process it. Run costing background process.

Go to Product Window and check that there is a new cost that is 7.00, this is correct.

Go to Transactions tab and realize that the closing inventory transaction has been valued at 7.01, while opening inventory transaction has been valued at 7.00. This is correct.

** Scenario 6

Product "Product rounding 31069-2 WH"

Go to product window and check that the cost of this product is 3.3333 for España Region Norte WH.

Create a shipment of 2 units. Complete the shipment and run costing background process.

Check also that each shipment transaction, in the transaction tab, has been valued at a cost of 3.33

Go to Inventory Amount Update window and create a new one for the product, for España Region Norte WH.
Check that the current inventory amount and the current unit cost shown is 3.34. Enter a Unit Cost = 4.
Process it. Run costing background process.

Go to Product Window and check that the new cost is 4.

Go to Transactions tab and realize that the closing inventory transaction has been valued at 3.34 (total cost) and 3.33 (original cost and unit cost) as an adjustment of 0.01 has been created and related to it. This adjustment it is a negative stock adjustment.

Opening inventory has been valued at 4.00, which is correct.

(0081766)
hgbot (developer)
2015-11-12 18:09

Repository: erp/devel/pi
Changeset: 2249174ff1b4f9c6627be9a236444d167f49909e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Oct 28 13:40:44 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2249174ff1b4f9c6627be9a236444d167f49909e [^]

Fixes issue 31069: Wrong cost calculation in Inventory Amount Update

Change the reference of Unit Cost and Current Unit Cost columns from Amount to Number in Inventory Amount Update window, to take into account currency precision.
Remove getInventoryClosingCost method from AverageAlgorithm to calculate inventory closing transactions with Average Algorithm with current average cost, as it is done in getInventoryClosingCost method from CostingAlgorithm.
Set line number correctly to Physical Inventory Lines in InventoryAmountUpdateProcess.
Create a Negative Stock Correction adjustment related to last closing inventory line transaction created by an Inventory Amount Update (the ones that leaves the curent stock to zero) with current valued stock (remaining value) if any.
Retrieve trx and icl from session in CostingRuleProcess to avoid errors when validating a new Costing Rule.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src/org/openbravo/costing/AverageAlgorithm.java
M src/org/openbravo/costing/CostingAlgorithmAdjustmentImp.java
M src/org/openbravo/costing/CostingRuleProcess.java
M src/org/openbravo/costing/CostingServer.java
M src/org/openbravo/costing/InventoryAmountUpdateProcess.java
---
(0081767)
hgbot (developer)
2015-11-12 18:09

Repository: erp/devel/pi
Changeset: 8f946d6cb52caf0bbc29cf57bebcd5ccfa015998
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Oct 29 22:53:04 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/8f946d6cb52caf0bbc29cf57bebcd5ccfa015998 [^]

Related to issue 31069: Added sleep to avoid assert errors in testCostingE1

---
M src-test/src/org/openbravo/test/costing/TestCosting.java
---
(0081768)
hgbot (developer)
2015-11-12 18:09

Repository: erp/devel/pi
Changeset: 33e875145d2506b050f3f2562d898afe927b58ad
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Nov 04 10:05:47 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/33e875145d2506b050f3f2562d898afe927b58ad [^]

Related to issue 31069: Added an automated test in TestCosting

---
M src-test/src/org/openbravo/test/costing/TestCosting.java
---
(0081769)
dmiguelez (developer)
2015-11-12 18:10

Code Review + Testing Ok
(0081887)
hgbot (developer)
2015-11-16 14:38

Repository: erp/devel/pi
Changeset: ce8fad1f9f020ba25800c2c09d08376c34925566
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Nov 16 11:19:34 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ce8fad1f9f020ba25800c2c09d08376c34925566 [^]

Related to issue 31069: Fix testCostingE3 test in TestCosting

---
M src-test/src/org/openbravo/test/costing/TestCosting.java
---
(0082212)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082213)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082214)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082239)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-10-06 16:10 VictorVillar New Issue
2015-10-06 16:10 VictorVillar Assigned To => Triage Finance
2015-10-06 16:10 VictorVillar Modules => Core
2015-10-06 16:10 VictorVillar Triggers an Emergency Pack => No
2015-10-06 16:11 VictorVillar Relationship added related to 0031026
2015-10-07 10:18 psanjuan Steps to Reproduce Updated View Revisions
2015-10-07 13:58 aferraz Assigned To Triage Finance => aferraz
2015-10-07 13:58 aferraz Status new => scheduled
2015-10-09 11:02 aferraz Status scheduled => feedback
2015-10-19 12:44 psanjuan Note Added: 0081076
2015-10-19 14:44 psanjuan Note Edited: 0081076 View Revisions
2015-10-19 14:48 psanjuan Note Edited: 0081076 View Revisions
2015-10-19 14:56 psanjuan Note Edited: 0081076 View Revisions
2015-10-19 15:02 psanjuan Note Edited: 0081076 View Revisions
2015-10-19 17:21 aferraz Status feedback => scheduled
2015-10-20 14:29 psanjuan Steps to Reproduce Updated View Revisions
2015-10-20 14:32 psanjuan Steps to Reproduce Updated View Revisions
2015-10-20 14:37 psanjuan Note Added: 0081136
2015-10-20 14:37 psanjuan Note Edited: 0081136 View Revisions
2015-10-20 14:40 psanjuan Note Edited: 0081136 View Revisions
2015-10-20 14:44 psanjuan Note Edited: 0081136 View Revisions
2015-10-20 14:46 psanjuan Note Edited: 0081136 View Revisions
2015-10-20 15:01 psanjuan Note Edited: 0081136 View Revisions
2015-10-20 15:05 psanjuan Note Edited: 0081136 View Revisions
2015-10-20 15:07 psanjuan Note Edited: 0081136 View Revisions
2015-10-20 15:09 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 09:54 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 09:58 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 10:12 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 10:16 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 10:17 psanjuan Steps to Reproduce Updated View Revisions
2015-10-21 11:06 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 11:06 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 11:14 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 11:18 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 11:21 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 11:39 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 11:40 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 11:41 psanjuan Note Edited: 0081076 View Revisions
2015-10-21 12:58 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 13:05 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 13:07 psanjuan Note Edited: 0081136 View Revisions
2015-10-21 13:10 psanjuan Note Edited: 0081076 View Revisions
2015-10-21 13:17 psanjuan Summary Wrong cost calculation using inventory amount update => Wrong cost calculation using inventory amount update caused by remaining valuation while stocks gets into 0
2015-10-21 13:17 psanjuan Description Updated View Revisions
2015-10-21 13:17 psanjuan Note Edited: 0081076 View Revisions
2015-10-21 13:19 psanjuan Relationship added related to 0031202
2015-10-21 13:21 psanjuan Note Edited: 0081076 View Revisions
2015-10-21 13:21 psanjuan Note Edited: 0081076 View Revisions
2015-10-21 13:24 psanjuan Note Edited: 0081136 View Revisions
2015-10-22 10:23 psanjuan Note Edited: 0081136 View Revisions
2015-10-22 10:30 psanjuan Note Edited: 0081136 View Revisions
2015-10-22 10:32 psanjuan Summary Wrong cost calculation using inventory amount update caused by remaining valuation while stocks gets into 0 => Wrong cost calculation using inventory amount update caused by remaining valuation
2015-10-22 10:32 psanjuan Description Updated View Revisions
2015-10-22 10:35 psanjuan Note Edited: 0081076 View Revisions
2015-10-22 17:29 aferraz Note Edited: 0081136 View Revisions
2015-10-23 10:05 psanjuan Note Edited: 0081076 View Revisions
2015-10-27 10:11 psanjuan Note Edited: 0081136 View Revisions
2015-11-03 13:14 psanjuan Note Edited: 0081136 View Revisions
2015-11-03 13:22 psanjuan Note Edited: 0081136 View Revisions
2015-11-03 14:11 psanjuan Note Edited: 0081136 View Revisions
2015-11-03 14:19 psanjuan Note Edited: 0081136 View Revisions
2015-11-03 14:19 psanjuan Note Added: 0081448
2015-11-03 14:22 psanjuan Note Edited: 0081136 View Revisions
2015-11-03 14:38 psanjuan Note Edited: 0081136 View Revisions
2015-11-03 14:39 psanjuan Note Edited: 0081448 View Revisions
2015-11-03 14:40 psanjuan Note Edited: 0081448 View Revisions
2015-11-03 14:40 psanjuan Note Edited: 0081136 View Revisions
2015-11-03 14:42 psanjuan Note Edited: 0081448 View Revisions
2015-11-03 14:51 psanjuan Note Edited: 0081448 View Revisions
2015-11-03 14:52 psanjuan Note Edited: 0081448 View Revisions
2015-11-03 15:02 psanjuan Note Edited: 0081448 View Revisions
2015-11-12 18:09 hgbot Checkin
2015-11-12 18:09 hgbot Note Added: 0081766
2015-11-12 18:09 hgbot Status scheduled => resolved
2015-11-12 18:09 hgbot Resolution open => fixed
2015-11-12 18:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2249174ff1b4f9c6627be9a236444d167f49909e [^]
2015-11-12 18:09 hgbot Checkin
2015-11-12 18:09 hgbot Note Added: 0081767
2015-11-12 18:09 hgbot Checkin
2015-11-12 18:09 hgbot Note Added: 0081768
2015-11-12 18:10 dmiguelez Review Assigned To => dmiguelez
2015-11-12 18:10 dmiguelez Note Added: 0081769
2015-11-12 18:10 dmiguelez Status resolved => closed
2015-11-16 14:38 hgbot Checkin
2015-11-16 14:38 hgbot Note Added: 0081887
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082212
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082213
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082214
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082239


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker